version: '2'

services:
  coturn:
    build: ./coturn
    restart: always
    hostname: coturn
    container_name: coturn
#    entrypoint:
#      - /bin/bash
#      - /entrypoint.sh
    volumes:
#      - ./entrypoint.sh:/entrypoint.sh:ro
      - ./coturn/turnserver.conf:/etc/turnserver.conf:ro
#      - ./coturn/turnserver-auth.conf:/etc/turnserver-auth.conf:ro
#      - ./coturn/turndb:/usr/local/var/db/turndb
      - /opt/docker/secure/privkey.pem:/etc/ssl/private/privkey.pem:ro
      - /opt/docker/secure/fullchain.pem:/etc/ssl/certs/cert.pem:ro
    ports:
## STUN/TURN
      - "3478:3478"
      - "3478:3478/udp"
## STUN/TURN SSL
      - "5349:5349"
      - "5349:5349/udp"
# Relay Ports
      - "39000-39500:39000-39500/udp"
#    network_mode: host
    networks:
      mynet:
        ipv4_address: 172.12.0.101

networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.12.0.0/24
